# Project date fields

This information is most useful to advanced administrators and system-integrators.

| Name                                                                | Field Type | Purpose                                                                                                                                   | Access     |
| ------------------------------------------------------------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------- | ---------- |
| <p>Created Date</p><p><code>created\_date</code></p>                | DateTime   | The datetime the record was first created.                                                                                                | Read-only  |
| <p>Modified Date</p><p><code>modified\_date</code></p>              | DateTime   | The datetime the record was most recently updated.                                                                                        | Read-only  |
| <p>Start Year</p><p><code>year\_start</code></p>                    | Integer    | An optional field which can hold the calendar year (eg 2019) that the project started.                                                    | Read/Write |
| <p>Start Date</p><p><code>start\_date</code></p>                    | DateTime   | An optional field that you can populate with the date the project began.                                                                  | Read/Write |
| <p>End Date</p><p><code>end\_date</code></p>                        | DateTime   | An optional field that you can populate with the date the project concluded.                                                              | Read/Write |
| <p>Close Date</p><p><code>close\_date</code></p>                    | DateTime   | This field is autopopulated with the datetime stamp a project is marked as Won, Active, Lost or Cancelled. It can be manually overridden. | Read/Write |
| <p>Completed Date</p><p><code>completed\_date</code></p>            | DateTime   | This field is autopopulated with the datetime stamp a project is marked as Completed. It can be manually overridden.                      | Read/Write |
| <p>Expected Start Date</p><p><code>expected\_start\_date</code></p> | Date       | <p>A user-entered date for when the project is expected to commence.                                                                      |            |

</p><p>This field, combined with <code>expected_duration</code> and <code>expected_finish_date</code> are presented together in the user interface and are semi-automatically populated based on related values. </p> | Read/Write |
| <p>Expected Duration</p><p><code>expected_duration</code></p>           | String (ISO 8601 Duration-only format) | <p>A user provided period identifying the expected length of time this project will run for.</p><p>(eg. P4M for 4 months, P14D for 2 weeks, P40D for 40 days).</p><p>This is parsed input so the user just selects days/weeks/months and enters a number.</p>                            | Read/Write |
| <p>Expected Finish Date</p><p><code>expected_finish_date</code></p>     | Date                                   | A user provided date for when the project is expected to conclude.                                                                                                                                                                                                                          | Read/Write |
| <p>Proposal Received Date</p><p><code>proposal_received_date</code></p> | Date                                   | A user provided date for managing proposals. This tracks when a fee proposal is received.                                                                                                                                                                                                   | Read/Write |
| <p>Proposal Due Date</p><p><code>proposal_due_date</code></p>           | Date                                   | A user provided date for managing proposals. This tracks when a fee proposal is due.                                                                                                                                                                                                        | Read/Write |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tiny.plus/guides/advanced/untitled.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
